export const getConfigDirectory = async () => {
  const { configDir } = await import("@tauri-apps/api/path");
  return (await configDir()) + "stort/";
};

const pathBase = "stort/";

export const getPaths = async () => {
  const {
    cacheDir,
    configDir,
    dataDir,
    desktopDir,
    documentDir,
    downloadDir,
    executableDir,
    fontDir,
    homeDir,
    logDir,
    pictureDir,
    templateDir,
    videoDir,
  } = await import("@tauri-apps/api/path");

  return {
    cacheDirectory: (await cacheDir()) + pathBase,
    configDirectory: (await configDir()) + pathBase,
    dataDirectory: (await dataDir()) + pathBase,
    desktopDirectory: (await desktopDir()) + pathBase,
    documentDirectory: (await documentDir()) + pathBase,
    downloadDirectory: (await downloadDir()) + pathBase,
    executableDirectory: (await executableDir()) + pathBase,
    fontDirectory: (await fontDir()) + pathBase,
    homeDirectory: (await homeDir()) + pathBase,
    logDirectory: (await logDir()) + pathBase,
    pictureDirectory: (await pictureDir()) + pathBase,
    templateDirectory: (await templateDir()) + pathBase,
    videoDirectory: (await videoDir()) + pathBase,
  };
};
