import { Box } from "@mui/material";
import { useAtom } from "jotai";
import { LoadingScreen } from "../components/Generic/LoadingScreen";
import { HeaderBar } from "../components/HeaderBar/HeaderBar";
import { loadingAtom } from "../lib/store/jotai/loading";

export default function Home() {
  const [loading] = useAtom(loadingAtom);

  if (loading) {
    return <LoadingScreen loadingText="Loading..." />;
  } else {
    return (
      <Box>
        <HeaderBar />
      </Box>
    );
  }
}
